package book

type BookAuthor struct {
	HardDeleteModel
	Name         string `json:"name" form:"name" gorm:"type:varchar(128);not null;uniqueIndex:uk_book_author_name;comment:作者名称"`
	AuthorStatus string `json:"authorStatus" form:"authorStatus" gorm:"type:varchar(32);not null;default:enabled;index;comment:作者状态字典值，对应 book_author_status"`
	Intro        string `json:"intro" form:"intro" gorm:"type:text;comment:作者简介"`
	CoverUrl     string `json:"coverUrl" form:"coverUrl" gorm:"type:varchar(500);comment:作者头像或封面 URL"`
}

func (BookAuthor) TableName() string {
	return "book_author"
}
